libnvme(2)

NAME
struct nvme_mi_vpd_mra - NVMe MultiRecord Area

SYNOPSIS
struct nvme_mi_vpd_mra {
__u8 nmravn;
__u8 ff;
__u8 rsvd7[6];
__u8 i18vpwr;
__u8 m18vpwr;
__u8 i33vpwr;
__u8 m33vpwr;
__u8 rsvd17;
__u8 m33vapsr;
__u8 i5vapsr;
__u8 m5vapsr;
__u8 i12vapsr;
__u8 m12vapsr;
__u8 mtl;
__u8 tnvmcap[16];
__u8 rsvd37[27];
};

Members

nmravn
    NVMe MultiRecord Area Version Number

ff  Form Factor

rsvd7
    Reserved

i18vpwr
    Initial 1.8 V Power Supply Requirements

m18vpwr
    Maximum 1.8 V Power Supply Requirements

i33vpwr
    Initial 3.3 V Power Supply Requirements

m33vpwr
    Maximum 3.3 V Power Supply Requirements

rsvd17
    Reserved

m33vapsr
    Maximum 3.3 Vi aux Power Supply Requirements

i5vapsr
    Initial 5 V Power Supply Requirements

m5vapsr
    Maximum 5 V Power Supply Requirements

i12vapsr
    Initial 12 V Power Supply Requirements

m12vapsr
    Maximum 12 V Power Supply Requirements

mtl Maximum Thermal Load

tnvmcap
    Total NVM Capacity

rsvd37
    Reserved